/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/

//#include <qbytearray.h>
//#include <qtextstream.h>
/*
class CHTMLDrag : public QDragObject
{
public:
	CHTMLDrag (QString &str, QWidget *parent=0, const char *name=0) 
		: QDragObject (parent, name)
		{ m_str = str; }
	
	const char* format (int index) const;
	QByteArray encodedData (const char *format) const;
	
//	static bool canDecode (const QMimeSource *source) { return false; }
//	static bool decode (const QMimeSource *source, QString &str);

protected:
	QString m_str;
};

const char* CHTMLDrag::format (int index) const
{
	if (index == 0) return "text/html"; else return 0;
}

QByteArray CHTMLDrag::encodedData (const char *format) const
{
	QByteArray data;
	QTextStream ts(data, IO_WriteOnly);
	ts << "<html>" << m_str << "</html>";
	return data;
}
*/
#include "define.h"
void CDlgAbout::init()
{
#ifdef Q_OS_WIN32
    m_pbCopyCheck->hide ();
#endif
	m_tbAbout->setText (m_tbAbout->text()+tr("<p>Version %1 / %2").arg (MAUTRECHNER_VERSION_STRING).arg (OS_NAME));
}

void CDlgAbout::onCopyCheck()
{
//CHTMLDrag *pDrag = new CHTMLDrag(m_tbCheck->text());
//	pDrag->setSubtype ("html");
//	pDrag->setText (m_tbCheck->text());

//	QApplication::clipboard()->setData (pDrag);
	QApplication::clipboard()->setText (m_tbCheck->text());

}



void CDlgAbout::go( CNetwork *pNetwork )
{
	m_tbCheck->setText (pNetwork->Check());
	exec ();
}


void CDlgAbout::onSave()
{
QString str;
QFile file;

	QString strFile = QFileDialog::getSaveFileName (QString ("database-check.html"), tr("HTML-File (*.html)"), this);
	if (strFile.isEmpty()) return;
	if (strFile.right (4) != "html") strFile += ".html";
	file.setName (strFile);
	file.open (IO_WriteOnly);
	QTextStream ts (&file);
	
	ts << "<html>\n<head></head>\n<body>\n";
	ts << m_tbCheck->text();
	ts << "</body>\n";
}
